package cn.com.countrygarden.bi.main.model.performance;

/**
 * 城市指标—主营税前利润
 * @author Max Date:2018/09/07
 * @version 1.0
 * @since 1.8
 */
public class PrincipalProfit {

    private int year;//年份
    private String quarter;//季度

    private String hierarchyId;//区域id
    private String hierarchyName;// 区域名称
    private String Second_organization;    //二级组织
    private String Third_organization;     //三级组织

    //-----------------上半年度综合税前利润-----------------
    private String hyComplete;//完成值
    private String hyThreshold;//门槛值
    private String hyAtLeast;//保底
    private String hyScream;//尖叫
    private String hyHowl;//嚎叫
    private String hyScore;//细项得分

    //-----------------年度综合税前利润-----------------
    private String alComplete;//完成值
    private String alThreshold;//门槛值
    private String alAtLeast;//保底
    private String alScream;//尖叫
    private String alHowl;//嚎叫
    private String alScore;//细项得分

    //-----------------上半年社区增值服务（N）税前利润-----------------
    private String hycComplete;//完成值
    private String hycThreshold;//门槛值
    private String hycAtLeast;//保底
    private String hycScream;//尖叫
    private String hycHowl;//嚎叫
    private String hycScore;//细项得分


    //-----------------年度社区增值服务（N）税前利润-----------------
    private String alcComplete;//完成值
    private String alcThreshold;//门槛值
    private String alcAtLeast;//保底
    private String alcScream;//尖叫
    private String alcHowl;//嚎叫
    private String alcScore;//细项得分


    //private String individualScore;      // 指标单项得分
    private String individualscore;      // 指标单项得分

    private String isCheck;//是否需要考核

    public PrincipalProfit() {
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getQuarter() {
        return quarter;
    }

    public void setQuarter(String quarter) {
        this.quarter = quarter;
    }

    public String getHierarchyId() {
        return hierarchyId;
    }

    public void setHierarchyId(String hierarchyId) {
        this.hierarchyId = hierarchyId;
    }

    public String getHierarchyName() {
        return hierarchyName;
    }

    public void setHierarchyName(String hierarchyName) {
        this.hierarchyName = hierarchyName;
    }

    public String getSecond_organization() {
        return Second_organization;
    }

    public void setSecond_organization(String second_organization) {
        Second_organization = second_organization;
    }

    public String getThird_organization() {
        return Third_organization;
    }

    public void setThird_organization(String third_organization) {
        Third_organization = third_organization;
    }

    public String getHyComplete() {
        return hyComplete;
    }

    public void setHyComplete(String hyComplete) {
        this.hyComplete = hyComplete;
    }

    public String getHyThreshold() {
        return hyThreshold;
    }

    public void setHyThreshold(String hyThreshold) {
        this.hyThreshold = hyThreshold;
    }

    public String getHyAtLeast() {
        return hyAtLeast;
    }

    public void setHyAtLeast(String hyAtLeast) {
        this.hyAtLeast = hyAtLeast;
    }

    public String getHyScream() {
        return hyScream;
    }

    public void setHyScream(String hyScream) {
        this.hyScream = hyScream;
    }

    public String getHyHowl() {
        return hyHowl;
    }

    public void setHyHowl(String hyHowl) {
        this.hyHowl = hyHowl;
    }

    public String getHyScore() {
        return hyScore;
    }

    public void setHyScore(String hyScore) {
        this.hyScore = hyScore;
    }

    public String getAlComplete() {
        return alComplete;
    }

    public void setAlComplete(String alComplete) {
        this.alComplete = alComplete;
    }

    public String getAlThreshold() {
        return alThreshold;
    }

    public void setAlThreshold(String alThreshold) {
        this.alThreshold = alThreshold;
    }

    public String getAlAtLeast() {
        return alAtLeast;
    }

    public void setAlAtLeast(String alAtLeast) {
        this.alAtLeast = alAtLeast;
    }

    public String getAlScream() {
        return alScream;
    }

    public void setAlScream(String alScream) {
        this.alScream = alScream;
    }

    public String getAlHowl() {
        return alHowl;
    }

    public void setAlHowl(String alHowl) {
        this.alHowl = alHowl;
    }

    public String getAlScore() {
        return alScore;
    }

    public void setAlScore(String alScore) {
        this.alScore = alScore;
    }

    public String getHycComplete() {
        return hycComplete;
    }

    public void setHycComplete(String hycComplete) {
        this.hycComplete = hycComplete;
    }

    public String getHycThreshold() {
        return hycThreshold;
    }

    public void setHycThreshold(String hycThreshold) {
        this.hycThreshold = hycThreshold;
    }

    public String getHycAtLeast() {
        return hycAtLeast;
    }

    public void setHycAtLeast(String hycAtLeast) {
        this.hycAtLeast = hycAtLeast;
    }

    public String getHycScream() {
        return hycScream;
    }

    public void setHycScream(String hycScream) {
        this.hycScream = hycScream;
    }

    public String getHycHowl() {
        return hycHowl;
    }

    public void setHycHowl(String hycHowl) {
        this.hycHowl = hycHowl;
    }

    public String getHycScore() {
        return hycScore;
    }

    public void setHycScore(String hycScore) {
        this.hycScore = hycScore;
    }

    public String getAlcComplete() {
        return alcComplete;
    }

    public void setAlcComplete(String alcComplete) {
        this.alcComplete = alcComplete;
    }

    public String getAlcThreshold() {
        return alcThreshold;
    }

    public void setAlcThreshold(String alcThreshold) {
        this.alcThreshold = alcThreshold;
    }

    public String getAlcAtLeast() {
        return alcAtLeast;
    }

    public void setAlcAtLeast(String alcAtLeast) {
        this.alcAtLeast = alcAtLeast;
    }

    public String getAlcScream() {
        return alcScream;
    }

    public void setAlcScream(String alcScream) {
        this.alcScream = alcScream;
    }

    public String getAlcHowl() {
        return alcHowl;
    }

    public void setAlcHowl(String alcHowl) {
        this.alcHowl = alcHowl;
    }

    public String getAlcScore() {
        return alcScore;
    }

    public void setAlcScore(String alcScore) {
        this.alcScore = alcScore;
    }

    public String getIndividualscore() {
        return individualscore;
    }

    public void setIndividualscore(String individualscore) {
        this.individualscore = individualscore;
    }

    public String getIsCheck() {
        return isCheck;
    }

    public void setIsCheck(String isCheck) {
        this.isCheck = isCheck;
    }
}
